eID middleware |

# be.portugal.eid.PTEID_CardType Class Reference

Class that holds the different card type definitions. More...

List of all members.

## Public Member Functions
final int | swigValue ()
String | toString ()
## Static Public Member Functions
static PTEID_CardType | swigToEnum (int swigValue)
## Static Public Attributes
static final PTEID_CardType | PTEID_CARDTYPE_UNKNOWN = new PTEID_CardType("PTEID_CARDTYPE_UNKNOWN", pteidlibJava_WrapperJNI.PTEID_CARDTYPE_UNKNOWN_get())
| Unknown card type.
static final PTEID_CardType | PTEID_CARDTYPE_EID = new PTEID_CardType("PTEID_CARDTYPE_EID")
| eID card
static final PTEID_CardType | PTEID_CARDTYPE_KIDS = new PTEID_CardType("PTEID_CARDTYPE_KIDS")
| Kids card.
static final PTEID_CardType | PTEID_CARDTYPE_FOREIGNER = new PTEID_CardType("PTEID_CARDTYPE_FOREIGNER")
| Foreigner card.
static final PTEID_CardType | PTEID_CARDTYPE_SIS = new PTEID_CardType("PTEID_CARDTYPE_SIS")
| SIS card.

## Detailed Description

Class that holds the different card type definitions.

## Member Function Documentation

static PTEID_CardType be.portugal.eid.PTEID_CardType.swigToEnum | ( | int | swigValue | ) | `[static]`

Referenced by be.portugal.eid.PTEID_ReaderContext.getCardType(), and be.portugal.eid.PTEID_Card.getType().

final int be.portugal.eid.PTEID_CardType.swigValue | ( |  | ) |

String be.portugal.eid.PTEID_CardType.toString | ( |  | ) |

## Member Data Documentation

final PTEID_CardType be.portugal.eid.PTEID_CardType.PTEID_CARDTYPE_EID = new PTEID_CardType("PTEID_CARDTYPE_EID")`[static]`

eID card

final PTEID_CardType be.portugal.eid.PTEID_CardType.PTEID_CARDTYPE_FOREIGNER = new PTEID_CardType("PTEID_CARDTYPE_FOREIGNER")`[static]`

Foreigner card.

final PTEID_CardType be.portugal.eid.PTEID_CardType.PTEID_CARDTYPE_KIDS = new PTEID_CardType("PTEID_CARDTYPE_KIDS")`[static]`

Kids card.

final PTEID_CardType be.portugal.eid.PTEID_CardType.PTEID_CARDTYPE_SIS = new PTEID_CardType("PTEID_CARDTYPE_SIS")`[static]`

SIS card.

final PTEID_CardType be.portugal.eid.PTEID_CardType.PTEID_CARDTYPE_UNKNOWN = new PTEID_CardType("PTEID_CARDTYPE_UNKNOWN", pteidlibJava_WrapperJNI.PTEID_CARDTYPE_UNKNOWN_get())`[static]`

Unknown card type.